import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import utils from '@/utils/utils.js'
import uView from '@/uni_modules/uview-ui'
import store from '@/store'
import request from '@/config/request.js'

Vue.use(uView)
Vue.use(request)

Vue.prototype.$utils = utils;
Vue.prototype.$store = store;

Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()

// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  app.use(utils)
  app.use(store)
  app.use(uView)
  return {
    app
  }
}
// #endif